# -*- coding: utf-8 -*-

"""Processor for the `Chemical Roles Graph (CRoG)
<https://github.com/chemical-roles/chemical-roles>`_.

Contains axiomization of ChEBI roles, their targets, and actual
relationship polarity.

* `Extension of Roles in the ChEBI Ontology
  <https://doi.org/10.26434/chemrxiv.12591221>`_.
  Hoyt, C. T., *et al.* (2020). *ChemRxiv*, 12591221.

"""

from .api import process_from_web
from .processor import CrogProcessor
